diff --git a/src/charts/axis/horizontalaxis2_p.h b/src/charts/axis/horizontalaxis2_p.h
index 550a78e4..26a93b27 100644
--- a/src/charts/axis/horizontalaxis2_p.h
+++ b/src/charts/axis/horizontalaxis2_p.h
@@ -47,7 +47,7 @@ QT_CHARTS_BEGIN_NAMESPACE
 class QT_CHARTS_PRIVATE_EXPORT HorizontalAxis2 : public CartesianChartAxis2
 {
 public:
-    HorizontalAxis2(QAbstractAxis *axis, QGraphicsItem *item = nullptr, bool intervalAxis = false);
+    HorizontalAxis2(QAbstractAxis *axis, QQuickItem *item = nullptr, bool intervalAxis = false);
     ~HorizontalAxis2();
 
     QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint = QSizeF()) const override;
diff --git a/src/charts/axis/linearrowitem2_p.h b/src/charts/axis/linearrowitem2_p.h
index 89f5a90c..3b86383d 100644
--- a/src/charts/axis/linearrowitem2_p.h
+++ b/src/charts/axis/linearrowitem2_p.h
@@ -46,21 +46,21 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-class QT_CHARTS_PRIVATE_EXPORT LineArrowItem2: public QGraphicsLineItem
+class QT_CHARTS_PRIVATE_EXPORT LineArrowItem2: public QQuickPaintedItem
 {
 public:
-    explicit LineArrowItem2(ChartAxisElement2 *axis, QGraphicsItem *parent = 0)
-        : QGraphicsLineItem(parent),
+    explicit LineArrowItem2(ChartAxisElement2 *axis, QQuickItem *parent = 0)
+        : QQuickPaintedItem(parent),
           m_axis(axis),
           m_axisOrientation(axis->axis()->orientation())
     {
     }
 
 protected:
-    void mousePressEvent(QGraphicsSceneMouseEvent *event)
+    void mousePressEvent(QMouseEvent *event)
     {
         m_axis->axisSelected();
-        QGraphicsLineItem::mousePressEvent(event);
+        QQuickPaintedItem::mousePressEvent(event);
     }
 
     QRectF boundingRect() const
@@ -70,9 +70,9 @@ protected:
 
     QPainterPath shape() const
     {
-        QPainterPath path = QGraphicsLineItem::shape();
-        QRectF rect = path.boundingRect();
-        path.addRect(rect.adjusted(0, 0, m_axisOrientation != Qt::Horizontal ? 8 : 0, m_axisOrientation != Qt::Vertical ? 8 : 0));
+        QPainterPath path;// = QGraphicsLineItem::shape();
+//        QRectF rect = path.boundingRect();
+//        path.addRect(rect.adjusted(0, 0, m_axisOrientation != Qt::Horizontal ? 8 : 0, m_axisOrientation != Qt::Vertical ? 8 : 0));
         return path;
     }
 
diff --git a/src/charts/axis/polarchartaxis2.cpp b/src/charts/axis/polarchartaxis2.cpp
index af6092ab..91189203 100644
--- a/src/charts/axis/polarchartaxis2.cpp
+++ b/src/charts/axis/polarchartaxis2.cpp
@@ -34,7 +34,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-PolarChartAxis2::PolarChartAxis2(QAbstractAxis *axis, QGraphicsItem *item, bool intervalAxis)
+PolarChartAxis2::PolarChartAxis2(QAbstractAxis *axis, QQuickItem *item, bool intervalAxis)
     : ChartAxisElement2(axis, item, intervalAxis)
 {
 }
@@ -50,7 +50,7 @@ void PolarChartAxis2::setGeometry(const QRectF &axis, const QRectF &grid)
     setAxisGeometry(axis);
 
     if (isEmpty()) {
-        prepareGeometryChange();
+//        prepareGeometryChange();
         return;
     }
 
@@ -83,8 +83,8 @@ void PolarChartAxis2::updateLayout(QVector<qreal> &layout)
         // axes lingering in wrong position compared to series plot before animation can kick in.
         // Note that the position mismatch still exists even with this update, but it will be
         // far less ugly.
-        if (ChartAxisElement2::layout().size() != 0)
-            updateGeometry();
+//        if (ChartAxisElement2::layout().size() != 0)
+//            updateGeometry();
     }
 
     if (diff > 0)
@@ -99,7 +99,7 @@ void PolarChartAxis2::updateLayout(QVector<qreal> &layout)
         presenter()->startAnimation(animation());
     } else {
         setLayout(layout);
-        updateGeometry();
+//        updateGeometry();
     }
 }
 
@@ -110,30 +110,30 @@ bool PolarChartAxis2::isEmpty()
 
 void PolarChartAxis2::deleteItems(int count)
 {
-    QList<QGraphicsItem *> gridLines = gridItems();
-    QList<QGraphicsItem *> labels = labelItems();
-    QList<QGraphicsItem *> shades = shadeItems();
-    QList<QGraphicsItem *> axis = arrowItems();
-
-    for (int i = 0; i < count; ++i) {
-        if (gridItems().size() == 1 || (((gridLines.size() + 1) % 2) && gridLines.size() > 0))
-            delete(shades.takeLast());
-        delete(gridLines.takeLast());
-        delete(labels.takeLast());
-        delete(axis.takeLast());
-    }
+//    QList<QQuickItem *> gridLines = gridItems();
+//    QList<QQuickItem *> labels = labelItems();
+//    QList<QQuickItem *> shades = shadeItems();
+//    QList<QQuickItem *> axis = arrowItems();
+
+//    for (int i = 0; i < count; ++i) {
+//        if (gridItems().size() == 1 || (((gridLines.size() + 1) % 2) && gridLines.size() > 0))
+//            delete(shades.takeLast());
+//        delete(gridLines.takeLast());
+//        delete(labels.takeLast());
+//        delete(axis.takeLast());
+//    }
 }
 
 void PolarChartAxis2::handleShadesBrushChanged(const QBrush &brush)
 {
-    foreach (QGraphicsItem *item, shadeItems())
-        static_cast<QGraphicsPathItem *>(item)->setBrush(brush);
+//    foreach (QQuickItem *item, shadeItems())
+//        static_cast<QGraphicsPathItem *>(item)->setBrush(brush);
 }
 
 void PolarChartAxis2::handleShadesPenChanged(const QPen &pen)
 {
-    foreach (QGraphicsItem *item, shadeItems())
-        static_cast<QGraphicsPathItem *>(item)->setPen(pen);
+//    foreach (QQuickItem *item, shadeItems())
+//        static_cast<QGraphicsPathItem *>(item)->setPen(pen);
 }
 
 QT_CHARTS_END_NAMESPACE
diff --git a/src/charts/axis/polarchartaxis2_p.h b/src/charts/axis/polarchartaxis2_p.h
index 26244ff1..135fabb8 100644
--- a/src/charts/axis/polarchartaxis2_p.h
+++ b/src/charts/axis/polarchartaxis2_p.h
@@ -47,9 +47,9 @@ QT_CHARTS_BEGIN_NAMESPACE
 class QT_CHARTS_PRIVATE_EXPORT PolarChartAxis2 : public ChartAxisElement2
 {
     Q_OBJECT
-    Q_INTERFACES(QGraphicsLayoutItem)
+//    Q_INTERFACES(QGraphicsLayoutItem)
 public:
-    PolarChartAxis2(QAbstractAxis *axis, QGraphicsItem *item, bool intervalAxis = false);
+    PolarChartAxis2(QAbstractAxis *axis, QQuickItem *item, bool intervalAxis = false);
     ~PolarChartAxis2();
 
     void setGeometry(const QRectF &axis, const QRectF &grid);
diff --git a/src/charts/axis/qabstractaxis_p.h b/src/charts/axis/qabstractaxis_p.h
index 072dfe89..182809e5 100644
--- a/src/charts/axis/qabstractaxis_p.h
+++ b/src/charts/axis/qabstractaxis_p.h
@@ -77,7 +77,7 @@ public:
 
     virtual void initializeDomain(AbstractDomain *domain) = 0;
     virtual void initializeGraphics(QGraphicsItem *parent) = 0;
-    virtual void initializeGraphics2(QGraphicsItem *parent) { Q_ASSERT(false); }
+    virtual void initializeGraphics2(QQuickItem *parent) { /*Q_ASSERT(false);*/ }
     virtual void initializeTheme(ChartTheme* theme, bool forced = false);
     virtual void initializeAnimations(QChart::AnimationOptions options, int duration,
                                       QEasingCurve &curve);
diff --git a/src/charts/axis/valueaxis/chartvalueaxisx2.cpp b/src/charts/axis/valueaxis/chartvalueaxisx2.cpp
index c824a716..714869f4 100644
--- a/src/charts/axis/valueaxis/chartvalueaxisx2.cpp
+++ b/src/charts/axis/valueaxis/chartvalueaxisx2.cpp
@@ -39,7 +39,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-ChartValueAxisX2::ChartValueAxisX2(QValueAxis *axis, QGraphicsItem *item )
+ChartValueAxisX2::ChartValueAxisX2(QValueAxis *axis, QQuickItem *item )
     : HorizontalAxis2(axis, item),
       m_axis(axis)
 {
@@ -112,14 +112,14 @@ void ChartValueAxisX2::updateGeometry()
 void ChartValueAxisX2::handleTickCountChanged(int tick)
 {
     Q_UNUSED(tick);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisX2::handleMinorTickCountChanged(int tick)
 {
     Q_UNUSED(tick);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter())
         presenter()->layout()->invalidate();
 }
@@ -127,28 +127,28 @@ void ChartValueAxisX2::handleMinorTickCountChanged(int tick)
 void ChartValueAxisX2::handleLabelFormatChanged(const QString &format)
 {
     Q_UNUSED(format);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisX2::handleTickIntervalChanged(qreal interval)
 {
     Q_UNUSED(interval)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisX2::handleTickAnchorChanged(qreal anchor)
 {
     Q_UNUSED(anchor)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisX2::handleTickTypeChanged(QValueAxis::TickType type)
 {
     Q_UNUSED(type)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
diff --git a/src/charts/axis/valueaxis/chartvalueaxisx2_p.h b/src/charts/axis/valueaxis/chartvalueaxisx2_p.h
index 106b922a..c4a8351f 100644
--- a/src/charts/axis/valueaxis/chartvalueaxisx2_p.h
+++ b/src/charts/axis/valueaxis/chartvalueaxisx2_p.h
@@ -50,7 +50,7 @@ class QT_CHARTS_PRIVATE_EXPORT ChartValueAxisX2 : public HorizontalAxis2
 {
     Q_OBJECT
 public:
-    ChartValueAxisX2(QValueAxis *axis, QGraphicsItem *item = 0);
+    ChartValueAxisX2(QValueAxis *axis, QQuickItem *item = 0);
     ~ChartValueAxisX2();
 
     QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint) const;
diff --git a/src/charts/axis/valueaxis/chartvalueaxisy2.cpp b/src/charts/axis/valueaxis/chartvalueaxisy2.cpp
index f0151f84..6d31175e 100644
--- a/src/charts/axis/valueaxis/chartvalueaxisy2.cpp
+++ b/src/charts/axis/valueaxis/chartvalueaxisy2.cpp
@@ -38,7 +38,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-ChartValueAxisY2::ChartValueAxisY2(QValueAxis *axis, QGraphicsItem *item)
+ChartValueAxisY2::ChartValueAxisY2(QValueAxis *axis, QQuickItem *item)
     : VerticalAxis2(axis, item),
       m_axis(axis)
 {
@@ -113,14 +113,14 @@ void ChartValueAxisY2::updateGeometry()
 void ChartValueAxisY2::handleTickCountChanged(int tick)
 {
     Q_UNUSED(tick);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisY2::handleMinorTickCountChanged(int tick)
 {
     Q_UNUSED(tick);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter())
         presenter()->layout()->invalidate();
 }
@@ -128,28 +128,28 @@ void ChartValueAxisY2::handleMinorTickCountChanged(int tick)
 void ChartValueAxisY2::handleLabelFormatChanged(const QString &format)
 {
     Q_UNUSED(format);
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisY2::handleTickIntervalChanged(qreal interval)
 {
     Q_UNUSED(interval)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisY2::handleTickAnchorChanged(qreal anchor)
 {
     Q_UNUSED(anchor)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
 void ChartValueAxisY2::handleTickTypeChanged(QValueAxis::TickType type)
 {
     Q_UNUSED(type)
-    QGraphicsLayoutItem::updateGeometry();
+//    QGraphicsLayoutItem::updateGeometry();
     if (presenter()) presenter()->layout()->invalidate();
 }
 
diff --git a/src/charts/axis/valueaxis/chartvalueaxisy2_p.h b/src/charts/axis/valueaxis/chartvalueaxisy2_p.h
index 58fce6a6..2d8d606b 100644
--- a/src/charts/axis/valueaxis/chartvalueaxisy2_p.h
+++ b/src/charts/axis/valueaxis/chartvalueaxisy2_p.h
@@ -50,7 +50,7 @@ class QT_CHARTS_PRIVATE_EXPORT ChartValueAxisY2 : public VerticalAxis2
 {
     Q_OBJECT
 public:
-    ChartValueAxisY2(QValueAxis *axis, QGraphicsItem *item = 0);
+    ChartValueAxisY2(QValueAxis *axis, QQuickItem *item = 0);
     ~ChartValueAxisY2();
 
     QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint) const;
diff --git a/src/charts/axis/valueaxis/qvalueaxis.cpp b/src/charts/axis/valueaxis/qvalueaxis.cpp
index 622cf294..e34002a9 100644
--- a/src/charts/axis/valueaxis/qvalueaxis.cpp
+++ b/src/charts/axis/valueaxis/qvalueaxis.cpp
@@ -548,7 +548,7 @@ void QValueAxisPrivate::initializeGraphics(QGraphicsItem *parent)
     QAbstractAxisPrivate::initializeGraphics(parent);
 }
 
-void QValueAxisPrivate::initializeGraphics2(QGraphicsItem *parent)
+void QValueAxisPrivate::initializeGraphics2(QQuickItem *parent)
 {
     Q_Q(QValueAxis);
     ChartAxisElement2 *axis(0);
@@ -568,7 +568,7 @@ void QValueAxisPrivate::initializeGraphics2(QGraphicsItem *parent)
 //    }
 
     m_item2.reset(axis);
-    QAbstractAxisPrivate::initializeGraphics(parent);
+    QAbstractAxisPrivate::initializeGraphics2(parent);
 }
 
 
diff --git a/src/charts/axis/valueaxis/qvalueaxis_p.h b/src/charts/axis/valueaxis/qvalueaxis_p.h
index fbfd2d32..b7759f66 100644
--- a/src/charts/axis/valueaxis/qvalueaxis_p.h
+++ b/src/charts/axis/valueaxis/qvalueaxis_p.h
@@ -54,7 +54,7 @@ public:
 
 public:
     void initializeGraphics(QGraphicsItem* parent);
-    void initializeGraphics2(QGraphicsItem* parent);
+    void initializeGraphics2(QQuickItem* parent);
     void initializeDomain(AbstractDomain *domain);
 
     qreal min() { return m_min; }
diff --git a/src/charts/axis/verticalaxis2.cpp b/src/charts/axis/verticalaxis2.cpp
index e2c8c960..5f480b2c 100644
--- a/src/charts/axis/verticalaxis2.cpp
+++ b/src/charts/axis/verticalaxis2.cpp
@@ -35,7 +35,7 @@
 
 QT_CHARTS_BEGIN_NAMESPACE
 
-VerticalAxis2::VerticalAxis2(QAbstractAxis *axis, QGraphicsItem *item, bool intervalAxis)
+VerticalAxis2::VerticalAxis2(QAbstractAxis *axis, QQuickItem *item, bool intervalAxis)
     : CartesianChartAxis2(axis, item, intervalAxis)
 {
 }
